require('vgit').setup({
  keymaps = {
    ['n <C-p>'] = function() require('vgit').hunk_up() end,
    ['n <C-n>'] = function() require('vgit').hunk_down() end,

    -- ['n <leader>gs'] = function() require('vgit').buffer_hunk_stage() end,
    -- ['n <leader>gr'] = function() require('vgit').buffer_hunk_reset() end,
    -- ['n <leader>gp'] = function() require('vgit').buffer_hunk_preview() end,
    -- ['n <leader>gb'] = 'buffer_blame_preview',
    ['n <Space>gdd'] = function() require('vgit').buffer_diff_preview() end,
    ['n <Space>gdg'] = function() require('vgit').project_diff_preview() end,
    ['n <Space>gll'] = function() require('vgit').buffer_history_preview() end,
    ['n <Space>glg'] = function() require('vgit').project_logs_preview() end,
    -- ['n <leader>gu'] = function() require('vgit').buffer_reset() end,
    -- ['n <leader>gd'] = function() require('vgit').project_diff_preview() end,
    -- ['n <leader>gx'] = function() require('vgit').toggle_diff_preference() end,
  },
})

